[![UC Logo](https://cdn.discordapp.com/attachments/569370390019833872/1020297919406022716/ucLogoTransp.png "UC Logo")](https://www.youtube.com/channel/UCnUaAWfEs6rU92RIDLtgKQA "UC Logo")

## [UPDATE]

**! IMPORTANT !** 

Some mods seem to be causing conflicts so please **disable other mods if you have any issues**.

A number of people getting a 'black screen' with UC++ seem to be running a really high level of errors in their player logs due to having tons of junk files in their landfall CustomContent - mostly stuff downloaded and modified from workshop etc.  This isn't my fault but UC++ is definitely colliding with this issue so it would be advised to clear those files out.  It's a bit of a mess to be honest i've seen log files with 100k+ lines of errors from workshop content.  Clearing all that out should make TABS startup a lot quicker if nothing else.

**SAVED UNITS/FACTIONS/WEAPONS** 

Custom item saves in a folder called SavedFiles ( see image below ) which is created after first run of UC++. If you are having problems loading or accessing UC++ **try removing your saves** from there as it could be a broken unit save or weapon.

![saved files](https://cdn.discordapp.com/attachments/569370390019833872/1020519221714755625/unknown.png "Saved Files")

**Patch Notes**

v.1.0.3

- Editing vanilla UC content and content from other mods without doing Clone first was causing huge issues. This has now been disabled so you ***have*** to Clone first then you can edit those.
- Problems when repeatedly clicking the UI buttons while a message dialog was visible ( causing the Yes/No buttons to duplicate ) have now been fixed.
- Other minor fixes.

v.1.0.2

- This patch has **disabled Projectile Editing** until bug fixing is complete.

v.1.0.1

- Fixed problem cause by Thunderstore/R2 mod deployment flattening the folder structure

# WELCOME

Totally Accurate **UnitCreator++** for **Totally Accurate Battle Simulator**.

Finally!

## IMPORTANT

UC++ is **BETA** - stuff might break or make ur puter explode.

##### KNOWN BUGS:

- Beetles
- Spiders
- Mosquitos
- Flies ( i guess )
- Hippopotamus

Wait, that last one isnt a bug.. 

Anyway, theres stuff that will probably break or cause problems. Editing or using items or units from other Mods isnt guaranteed to be okay - it might work or it might not. Compatibility with vanilla UC created units might cause problems.

Weapon and projectile editing is working but there can be issues occasionally.

If you edit a weapon thats already assigned to a unit, you might have to go and re-assign it to the unit to make sure it uses the update version - unless i fixed that already, not sure..

## STUFF YOU CAN DO

- Create and edit custom Units, obviously
- Change size of limbs/body/head with Chubbyness options
- Try out different UnitBases other than just Humanoid
- Create and edit custom Factions
- Use custom icons for Units and Factions
- Create and edit custom projectiles with FX
- Create and edit custom weapons, using custom projectiles
- Other stuff idk..
- Oh - you can click and drag the units limbs around for no reason

## ..AND FINALLY..

Sorry its taken so long.  Ive hardly had a minute to work on it over the past few months so i figured it would make sense to just let people try it rather than hang on to it forever and it never sees the light of day..

If you want to support me or request features or not tell me about bugs:

**Subscribe:** https://www.youtube.com/channel/UCnUaAWfEs6rU92RIDLtgKQA

Join the **TABS MOD CENTER** Discord: https://discord.gg/cp4Fe5R8bw

## CREDITS

**Coding and that:**

Me ( MidnightCow )

**Testing and stuff (although i probably ignored half what they told me):**

Harren / Camille / TarYosh / BD /

![UC screenshot](https://media.discordapp.net/attachments/569370390019833872/1020297384149921832/unknown.png?width=899&height=506 "UC screenshot")

© 2022 Wuhan Institute of Virology, World Health Organization, Bill Gates and everyone over at the World Economic Forum